package com.gic.haoban.manage.web.vo.order.refund;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城退款记录
 *
 * @author zxy
 */
public class OrderRefundDetailVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *订单来源类型
     * @see com.gic.business.order.enums.OrderEnum.BusinessTypeEnum
     */
    private Integer businessType;
    private String orderRefundId;
    private String orderId;// 订单ID
    private String orderItemId;// 订单项ID
    private String orderNumber;
    private String orderRefundNumber; // 退款编号
    private Integer refundType;// 退款类型：0，仅退款，1退货退款
    private double refundNumber = 0.00d;// 退款商品件数（或单位 贵金属-重量等）
    private double payAmount; // 实付金额
    private double applyRefundPrice = 0.00d;// 申请退款金额
    private double refundPrice = 0.00d;// 退款金额 实付部分
    private int refundPoints = 0;// 退款 积分部分

    private String refundLogisticsId; // 物流退款id
    private String logisticsName;// 物流名称
    private String logisticsNumber;// 物流单号

    // 1退款待处理 2成功 3退款关闭 4待买家退货 5待商家收货 6拒绝退款
    private int refundStatus = 1;
    // 下单时间
    private Date orderTime;
    private Date createTime;// 创建记录时间

    private String mallProCode;
    private String mallProId;
    private Double mallProPrice;
    private Double mallProNumber;
    private String mallProName;// 商城商品Name
    private String mallProImageUrl;// 商城商品图片url
    private String mallProSkuAttr;
    private String mallProSkuCode;
    private String sellerRemark; // 商家备注

    private String memberId;
    private String memberCardNo;
    private String memberName;
    private String memberImage;
    private String mainClerkName;
    private String mainStoreName;
    private String openClerkName ;
    private String openStoreName ;
    
    
    // 赠品1是0否
    private int giftFlag;

    /**
     * 退款处理时间
     */
    private Date refundProcessTime;

    /**
     * 买家退货时间
     */
    private Date refundGoodsTime;

    // 1：未发货类型，2：已发货类型
    private int refundDeliverType = 1;

    /**
     * 同意买家发货申请
     */
    private Date sellerConfirmTime;

    // 优惠信息
    private String discountAmountInfo;

    // 退款凭证图片,号隔开
    private String refundImgUrl;

    private String sellerAddressInfo;
    private String sellerName;
    private String sellerPhone;
    private String refundFailReason;

    // 退款理由
    private String refundReason;
    // 退款说明
    private String refundDescribe;
    private Double maxRefundPrice;

    // 1 电商发货 2门店发货
    private Integer deliveryMode = 1;
    // 发货门店
    private String deliverStoreId ;
    private String deliverStoreName ;
    private String deliverStoreCode ;
    private String amountPayableInfo;
    private Double orderItemFreight;
    //  好办端能否审批售后
    private boolean canAduitFlag = true ;
    
    // 退款的门店id
    private String refundStoreId ;
    
    // 2：门店自提 1：快递发货   
    private Integer deliveryChannel ;

    public Integer getBusinessType() {
        return businessType;
    }

    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }

    public Integer getDeliveryChannel() {
        return deliveryChannel;
    }

    public void setDeliveryChannel(Integer deliveryChannel) {
        this.deliveryChannel = deliveryChannel;
    }
    
    public String getRefundStoreId() {
        return refundStoreId;
    }

    public void setRefundStoreId(String refundStoreId) {
        this.refundStoreId = refundStoreId;
    }

    public boolean isCanAduitFlag() {
        return canAduitFlag;
    }

    public void setCanAduitFlag(boolean canAduitFlag) {
        this.canAduitFlag = canAduitFlag;
    }

    public String getMallProCode() {
        return mallProCode;
    }

    public void setMallProCode(String mallProCode) {
        this.mallProCode = mallProCode;
    }

    public String getMemberImage() {
        return memberImage;
    }

    public String getMainClerkName() {
        return mainClerkName;
    }

    public String getMainStoreName() {
        return mainStoreName;
    }

    public String getOpenClerkName() {
        return openClerkName;
    }

    public String getOpenStoreName() {
        return openStoreName;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage;
    }

    public void setMainClerkName(String mainClerkName) {
        this.mainClerkName = mainClerkName;
    }

    public void setMainStoreName(String mainStoreName) {
        this.mainStoreName = mainStoreName;
    }

    public void setOpenClerkName(String openClerkName) {
        this.openClerkName = openClerkName;
    }

    public void setOpenStoreName(String openStoreName) {
        this.openStoreName = openStoreName;
    }

    public String getDeliverStoreId() {
        return deliverStoreId;
    }

    public String getDeliverStoreName() {
        return deliverStoreName;
    }

    public String getDeliverStoreCode() {
        return deliverStoreCode;
    }

    public void setDeliverStoreId(String deliverStoreId) {
        this.deliverStoreId = deliverStoreId;
    }

    public void setDeliverStoreName(String deliverStoreName) {
        this.deliverStoreName = deliverStoreName;
    }

    public void setDeliverStoreCode(String deliverStoreCode) {
        this.deliverStoreCode = deliverStoreCode;
    }

    public Double getOrderItemFreight() {
        return orderItemFreight;
    }

    public void setOrderItemFreight(Double orderItemFreight) {
        this.orderItemFreight = orderItemFreight;
    }

    public String getAmountPayableInfo() {
        return amountPayableInfo;
    }

    public void setAmountPayableInfo(String amountPayableInfo) {
        this.amountPayableInfo = amountPayableInfo;
    }

    public Integer getDeliveryMode() {
        return deliveryMode;
    }

    public void setDeliveryMode(Integer deliveryMode) {
        this.deliveryMode = deliveryMode;
    }

    public Double getMaxRefundPrice() {
        return maxRefundPrice;
    }

    public void setMaxRefundPrice(Double maxRefundPrice) {
        this.maxRefundPrice = maxRefundPrice;
    }

    public String getRefundReason() {
        return refundReason;
    }

    public String getRefundDescribe() {
        return refundDescribe;
    }

    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    public void setRefundDescribe(String refundDescribe) {
        this.refundDescribe = refundDescribe;
    }

    public String getSellerAddressInfo() {
        return sellerAddressInfo;
    }

    public String getSellerName() {
        return sellerName;
    }

    public String getSellerPhone() {
        return sellerPhone;
    }

    public String getRefundFailReason() {
        return refundFailReason;
    }

    public void setSellerAddressInfo(String sellerAddressInfo) {
        this.sellerAddressInfo = sellerAddressInfo;
    }

    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    public void setSellerPhone(String sellerPhone) {
        this.sellerPhone = sellerPhone;
    }

    public void setRefundFailReason(String refundFailReason) {
        this.refundFailReason = refundFailReason;
    }

    public String getRefundImgUrl() {
        return refundImgUrl;
    }

    public void setRefundImgUrl(String refundImgUrl) {
        this.refundImgUrl = refundImgUrl;
    }

    public String getMallProId() {
        return mallProId;
    }

    public void setMallProId(String mallProId) {
        this.mallProId = mallProId;
    }

    public String getDiscountAmountInfo() {
        return discountAmountInfo;
    }

    public void setDiscountAmountInfo(String discountAmountInfo) {
        this.discountAmountInfo = discountAmountInfo;
    }

    public int getRefundDeliverType() {
        return refundDeliverType;
    }

    public Date getSellerConfirmTime() {
        return sellerConfirmTime;
    }

    public void setRefundDeliverType(int refundDeliverType) {
        this.refundDeliverType = refundDeliverType;
    }

    public void setSellerConfirmTime(Date sellerConfirmTime) {
        this.sellerConfirmTime = sellerConfirmTime;
    }

    public Double getMallProPrice() {
        return mallProPrice;
    }

    public Double getMallProNumber() {
        return mallProNumber;
    }

    public void setMallProPrice(Double mallProPrice) {
        this.mallProPrice = mallProPrice;
    }

    public void setMallProNumber(Double mallProNumber) {
        this.mallProNumber = mallProNumber;
    }

    public String getOrderRefundId() {
        return orderRefundId;
    }

    public String getOrderId() {
        return orderId;
    }

    public String getOrderItemId() {
        return orderItemId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public String getOrderRefundNumber() {
        return orderRefundNumber;
    }

    public Integer getRefundType() {
        return refundType;
    }

    public double getRefundNumber() {
        return refundNumber;
    }

    public double getPayAmount() {
        return payAmount;
    }

    public double getApplyRefundPrice() {
        return applyRefundPrice;
    }

    public double getRefundPrice() {
        return refundPrice;
    }

    public int getRefundPoints() {
        return refundPoints;
    }

    public String getRefundLogisticsId() {
        return refundLogisticsId;
    }

    public String getLogisticsName() {
        return logisticsName;
    }

    public String getLogisticsNumber() {
        return logisticsNumber;
    }

    public int getRefundStatus() {
        return refundStatus;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public String getMallProName() {
        return mallProName;
    }

    public String getMallProImageUrl() {
        return mallProImageUrl;
    }

    public String getMallProSkuAttr() {
        return mallProSkuAttr;
    }

    public String getMallProSkuCode() {
        return mallProSkuCode;
    }

    public String getSellerRemark() {
        return sellerRemark;
    }

    public String getMemberId() {
        return memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public String getMemberCardNo() {
        return memberCardNo;
    }

    public int getGiftFlag() {
        return giftFlag;
    }

    public Date getRefundProcessTime() {
        return refundProcessTime;
    }

    public Date getRefundGoodsTime() {
        return refundGoodsTime;
    }

    public void setOrderRefundId(String orderRefundId) {
        this.orderRefundId = orderRefundId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public void setOrderItemId(String orderItemId) {
        this.orderItemId = orderItemId;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public void setOrderRefundNumber(String orderRefundNumber) {
        this.orderRefundNumber = orderRefundNumber;
    }

    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    public void setRefundNumber(double refundNumber) {
        this.refundNumber = refundNumber;
    }

    public void setPayAmount(double payAmount) {
        this.payAmount = payAmount;
    }

    public void setApplyRefundPrice(double applyRefundPrice) {
        this.applyRefundPrice = applyRefundPrice;
    }

    public void setRefundPrice(double refundPrice) {
        this.refundPrice = refundPrice;
    }

    public void setRefundPoints(int refundPoints) {
        this.refundPoints = refundPoints;
    }

    public void setRefundLogisticsId(String refundLogisticsId) {
        this.refundLogisticsId = refundLogisticsId;
    }

    public void setLogisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
    }

    public void setLogisticsNumber(String logisticsNumber) {
        this.logisticsNumber = logisticsNumber;
    }

    public void setRefundStatus(int refundStatus) {
        this.refundStatus = refundStatus;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setMallProName(String mallProName) {
        this.mallProName = mallProName;
    }

    public void setMallProImageUrl(String mallProImageUrl) {
        this.mallProImageUrl = mallProImageUrl;
    }

    public void setMallProSkuAttr(String mallProSkuAttr) {
        this.mallProSkuAttr = mallProSkuAttr;
    }

    public void setMallProSkuCode(String mallProSkuCode) {
        this.mallProSkuCode = mallProSkuCode;
    }

    public void setSellerRemark(String sellerRemark) {
        this.sellerRemark = sellerRemark;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public void setMemberCardNo(String memberCardNo) {
        this.memberCardNo = memberCardNo;
    }

    public void setGiftFlag(int giftFlag) {
        this.giftFlag = giftFlag;
    }

    public void setRefundProcessTime(Date refundProcessTime) {
        this.refundProcessTime = refundProcessTime;
    }

    public void setRefundGoodsTime(Date refundGoodsTime) {
        this.refundGoodsTime = refundGoodsTime;
    }
}
